\section*{List of Macros}


\subsection*{cdprs}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\RobotName{IPAnema}|
      & \RobotName{IPAnema}
      & Typesets the given robot name unifiedly throughout the document
    \\
  \latexinline|\Artist|
      & \Artist
      & ARTIST robot
    \\
  \latexinline|\CaRoPrinter|
      & \CaRoPrinter
      & CaRo Printer by ISW
    \\
  \latexinline|\CoGiRo|
      & \CoGiRo
      & CoGiRo robot by LIRMM
    \\
  \latexinline|\COPacabana|
      & \COPacabana
      & COPacabana robot by ISW
    \\
  \latexinline|\Expo|
      & \Expo
      & Expo robot by ISW
    \\
  \latexinline|\Fast|
      & \Fast
      & FAST robot
    \\
  \latexinline|\HRPCables|
      & \HRPCables
      & HRPCables by LIRMM
    \\
  \latexinline|\INCA|
      & \INCA
      & INCA6D by Haption SA
    \\
  \latexinline|\IPAnema|
      & \IPAnema
      & IPAnema robot by IPA
    \\
  \latexinline|\IPAnemaMini|
      & \IPAnemaMini
      & IPAnemaMini robot by IPA
    \\
  \latexinline|\IPAnemaThree|
      & \IPAnemaThree
      & IPAnemaThree robot by IPA
    \\
  \latexinline|\Marionet|
      & \Marionet
      & Marionet robot by JPM
    \\
  \latexinline|\MPICRS|
      & \MPICRS
      & MPI CableRobot Simulator by MPI
    \\
  \latexinline|\RoboCrane|
      & \RoboCrane
      & RoboCrane robot by NIST
    \\
  \latexinline|\Segesta|
      & \Segesta
      & SEGESTA robot by UniDuE
    \\
  \latexinline|\Skycam|
      & \Skycam
      & Skycam robot by Skycam LLC.
    \\
  \latexinline|\Spidercam|
      & \Spidercam
      & Spidercam robot
    \\
  \latexinline|\WARP|
      & \WARP
      & Warp falcon robot
    \\
  \latexinline|\cdpr|
      & \cdpr
      & Write "cable-driven parallel robot"
    \\
  \latexinline|\cdpr*|
      & \cdpr*
      & Write "CDPR"
    \\
  \latexinline|\Cdpr|
      & \Cdpr
      & Write "Cable-driven parallel robot"
    \\
  \latexinline|\Cdpr*|
      & \Cdpr*
      & Write "CDPR"
    \\
  \latexinline|\cdprs|
      & \cdprs
      & Write "cable-driven parallel robots"
    \\
  \latexinline|\Cdprs*|
      & \Cdprs*
      & Write "CDPRs"
    \\
  \latexinline|\Cdprs|
      & \Cdprs
      & Write "Cable-driven parallel robots"
    \\
  \latexinline|\Cdprs*|
      & \Cdprs*
      & Write "CDPRs"
    \\
  \latexinline|\caro|
      & \caro
      & Write "cable robot"
    \\
  \latexinline|\Caro|
      & \Caro
      & Write "Cable robot"
    \\
  \latexinline|\caros|
      & \caros
      & Write "cable robots"
    \\
  \latexinline|\Caros|
      & \Caros
      & Write "Cable robots"
    \\
  \latexinline|\MP{3}|
      & \MP{3}
      & Write motion pattern "3T"
    \\
  \latexinline|\MP{1}{2}|
      & \MP{1}{2}
      & Write motion pattern "1R2T"
    \\
  \latexinline|\Dyneema|
      & \Dyneema
      & Typesets the product name "Dyneema" with the proper trademark symbol
    \\
  \latexinline|\Dyneema*|
      & \Dyneema*
      & Typesets the product name "Dyneema" without any trademark symbol
    \\
  \latexinline|\Spectra|
      & \Spectra
      & Typesets the product name "Spectra" with the proper trademark symbol
    \\
  \latexinline|\Spectra*|
      & \Spectra*
      & Typesets the product name "Spectra" without any trademark symbol
    \\
  \latexinline|\UHMWPE|
      & \UHMWPE
      & Typesets "UHMWPE"
    \\
  \latexinline|\wrench|
      & $\wrench$
      & Wrench on platform
    \\
  \latexinline|\wrapangle|
      & $\wrapangle$
      & Wrapping angle of cable on the last pulley
    \\
  \latexinline|\wrapangle[\ms{avg}]|
      & $\wrapangle[\ms{avg}]$
      & Add additional subscript index $\ms{avg}$ to the index
    \\
  \latexinline|\wrapangleopp|
      & $\wrapangleopp$
      & Opposite wrapping angle of cable on the last pulley
    \\
  \latexinline|\wrapangleopp[\ms{avg}]|
      & $\wrapangleopp[\ms{avg}]$
      & Add additional subscript index $\ms{avg}$ to the index
    \\
  \latexinline|\swivelangle|
      & $\swivelangle$
      & Swiveling angle of the pulley i.e., angle of its circumference axis wrt.\@ original $x$-axis
    \\
  \latexinline|\posscal|
      & $\posscal$
      & Scalar symbol of the platform pose
    \\
  \latexinline|\platpose|
      & $\platpose$
      & Pose of platform
    \\
  \latexinline|\dotplatpose|
      & $\dotplatpose$
      & First-order time derivative of platform pose
    \\
  \latexinline|\ddotplatpose|
      & $\ddotplatpose$
      & Second-order time derivative of platform pose
    \\
  \latexinline|\platpos|
      & $\platpos$
      & Vector platform position
    \\
  \latexinline|\platpos*|
      & $\platpos*$
      & Scalar platform position
    \\
  \latexinline|\platpos[a][b]|
      & $\platpos[a][b]$
      & Use mathtools' prescript command to typeset the platform position with the optional argument as left-side indices
    \\
  \latexinline|\dotplatpos|
      & $\dotplatpos$
      & First time-derivative of vector of platform position
    \\
  \latexinline|\dotplatpos[\ms{p}]|
      & $\dotplatpos[\ms{p}]$
      & Use mathtools' prescript command to typeset the platform position with the optional argument as left-side indices
    \\
  \latexinline|\ddotplatpos|
      & $\ddotplatpos$
      & Second time-derivative of vector of platform position
    \\
  \latexinline|\ddotplatpos[\ms{p}]|
      & $\ddotplatpos[\ms{p}]$
      & Use mathtools' prescript command to typeset the platform position with the optional argument as left-side indices
    \\
  \latexinline|\platrot|
      & $\platrot$
      & Matrix of platform rotation
    \\
  \latexinline|\platrot[\ms{P}]|
      & $\platrot[\ms{P}]$
      & Use mathtools' prescript command to typeset the platform rotation with the optional argument as left-side indices
    \\
  \latexinline|\dotplatrot|
      & $\dotplatrot$
      & First time derivative of atrix of platform rotation
    \\
  \latexinline|\dotplatrot[\ms{P}]|
      & $\dotplatrot[\ms{P}]$
      & Use mathtools' prescript command to typeset the platform rotation with the optional argument as left-side indices
    \\
  \latexinline|\ddotplatrot|
      & $\ddotplatrot$
      & Second time-derivative of matrix of platform rotation
    \\
  \latexinline|\ddotplatrot[\ms{P}]|
      & $\ddotplatrot[\ms{P}]$
      & Use mathtools' prescript command to typeset the platform rotation with the optional argument as left-side indices
    \\
  \latexinline|\platori|
      & $\platori$
      & Tuple of platform orientation parametrization
    \\
  \latexinline|\platori[\ms{P}]|
      & $\platori[\ms{P}]$
      & Use mathtools' prescript command to typeset the platform orientation parametrization tuple with the optional argument as left-side indices
    \\
  \latexinline|\platori|
      & $\platori$
      & Tuple of platform orientation parametrization
    \\
  \latexinline|\platori[\ms{P}]|
      & $\platori[\ms{P}]$
      & Use mathtools' prescript command to typeset the platform orientation parametrization tuple with the optional argument as left-side indices
    \\
  \latexinline|\ddotplatori|
      & $\ddotplatori$
      & Tuple of platform orientation parametrization
    \\
  \latexinline|\ddotplatori[\ms{P}]|
      & $\ddotplatori[\ms{P}]$
      & Use mathtools' prescript command to typeset the platform orientation parametrization tuple with the optional argument as left-side indices
    \\
  \latexinline|\actuang|
      & $\actuang$
      & Actuator angular position
    \\
  \latexinline|\dotactuang|
      & $\dotactuang$
      & First-order time derivative of scalar actuator angular position
    \\
  \latexinline|\dotactuang|
      & $\dotactuang$
      & First-order time derivative of scalar actuator angular position
    \\
  \latexinline|\ddotactuang|
      & $\ddotactuang$
      & Second-order time derivative of scalar actuator angular position
    \\
  \latexinline|\actuangs|
      & $\actuangs$
      & Vector of actuator angular position
    \\
  \latexinline|\dotactuangs|
      & $\dotactuangs$
      & First-order time derivative of vector of actuator angular position
    \\
  \latexinline|\ddotactuangs|
      & $\ddotactuangs$
      & Second-order time derivative of vector of actuator angular position
    \\
  \latexinline|\jointcoord|
      & $\jointcoord$
      & Scalar oint coordinate
    \\
  \latexinline|\dotjointcoord|
      & $\dotjointcoord$
      & First-order time-derivative of scalar joint coordinate
    \\
  \latexinline|\ddotjointcoord|
      & $\ddotjointcoord$
      & Second-order time-derivative of scalar joint coordinate
    \\
  \latexinline|\jointcoords|
      & $\jointcoords$
      & Vector of joint coordinates
    \\
  \latexinline|\dotjointcoord|
      & $\dotjointcoord$
      & First-order time-derivative of vector of joint coordinate
    \\
  \latexinline|\ddotjointcoords|
      & $\ddotjointcoords$
      & Second-order time-derivative of vector of joint coordinate
    \\
  \latexinline|\numcable|
      & $\numcable$
      & Number of cables/wires
    \\
  \latexinline|\redundancy|
      & $\redundancy$
      & Symbol of actuator redundancy
    \\
  \latexinline|\cabdirn|
      & $\cabdirn$
      & Cable direction vector
    \\
  \latexinline|\ddotcabdirn|
      & $\ddotcabdirn$
      & Second time-derivative of cable direction vector
    \\
  \latexinline|\cablen|
      & $\cablen$
      & Cable length variable
    \\
  \latexinline|\dotcablen|
      & $\dotcablen$
      & Time-derivative of cable length variable
    \\
  \latexinline|\ddotcablen|
      & $\ddotcablen$
      & Second time-derivative of cable length variable
    \\
  \latexinline|\cablens|
      & $\cablens$
      & Vector of all nominal cable lengths
    \\
  \latexinline|\dotcablens|
      & $\dotcablens$
      & Vector of first-order time derivative of all nominal cable lengths
    \\
  \latexinline|\ddotcablens|
      & $\ddotcablens$
      & Vector of second-order time derivative of all nominal cable lengths
    \\
  \latexinline|\delcablen|
      & $\delcablen$
      & Difference of nominal and geometric cable length
    \\
  \latexinline|\ddotdelcablen|
      & $\ddotdelcablen$
      & Second time-derivative of difference of nominal and geometric cable length
    \\
  \latexinline|\dotdelcablens|
      & $\dotdelcablens$
      & Time-derivative of differences of nominal and geometric cable lengths
    \\
  \latexinline|\structmat|
      & $\structmat$
      & Structure matrix
    \\
  \latexinline|\invkin|
      & $\invkin$
      & Inverse kinematics function/vector field
    \\
  \latexinline|\invkin{y}|
      & $\invkin{y}$
      & Add a functional argument to the inverse kinematics call
    \\
  \latexinline|\dirkin|
      & $\dirkin$
      & Direct kinematics function/vector field
    \\
  \latexinline|\dirkin{q}|
      & $\dirkin{q}$
      & Add a functional argument to the direct kinematics call
    \\
  \latexinline|\cabforce|
      & $\cabforce$
      & Nominal cable force
    \\
  \latexinline|\cabforces|
      & $\cabforces$
      & Vector of cable forces
    \\
  \latexinline|\cabforcesdist|
      & $\cabforcesdist$
      & Vector of cable forces distribution
    \\
  \latexinline|\cabforcesmean|
      & $\cabforcesmean$
      & Vector of mean cable forces
    \\
  \latexinline|\symforcemin|
      & $\symforcemin$
      & Symbol for a minimum force
    \\
  \latexinline|\symforcemax|
      & $\symforcemax$
      & Symbol for a maximum force
    \\
  \latexinline|\cabforcesmin|
      & $\cabforcesmin$
      & Vector of minimum cable forces
    \\
  \latexinline|\cabforcesmax|
      & $\cabforcesmax$
      & Vector of maximum cable forces
    \\
  \latexinline|\cabforcedirn|
      & $\cabforcedirn$
      & Directed cable force vector i.e., the 3-dimensional cable force direction and magnitude
    \\
  \latexinline|\robpar{k}|
      & $\robpar{k}$
      & Typesets the robot parameter $k$ as vector quantity
    \\
  \latexinline|\robpar*{k}|
      & $\robpar*{k}$
      & Typeset the robot parameter $k$ as scalar quantity
    \\
  \latexinline|\robpar[v]{k}|
      & $\robpar[v]{k}$
      & Typesets the robot parameter $k$ as vector quantity with subscript index $v$
    \\
  \latexinline|\robpar*[v]{k}|
      & $\robpar*[v]{k}$
      & Typesets the robot parameter $k$ as scalar quantity with subscript index $v$
    \\
  \latexinline|\robpar{k}{i}|
      & $\robpar{k}{i}$
      & Adds subscript index $i$ to the robot parameter $k$ as vector quantity
    \\
  \latexinline|\robpar*{k}{i}|
      & $\robpar*{k}{i}$
      & Adds subscript index $i$ to the robot parameter $k$ as scalar quantity
    \\
  \latexinline|\robpar[v]{k}{i}|
      & $\robpar[v]{k}{i}$
      & Adds subscript index $v$ before subscript index $i$ separated by comma to robot parameter $k$ as vector quantity
    \\
  \latexinline|\robpar*[v]{k}{i}|
      & $\robpar*[v]{k}{i}$
      & Adds subscript index $v$ before subscript index $i$ separated by comma to robot parameter $k$ as scalar quantity
    \\
  \latexinline|\ai|
      & $\ai$
      & Typeset vector to frame anchor $a_{i}$
    \\
  \latexinline|\ai{v}|
      & $\ai{v}$
      & Add subscript text $v$ before subscript index $i$
    \\
  \latexinline|\Ai|
      & $\Ai$
      & Typeset point of frame anchor $A_{i}$
    \\
  \latexinline|\Ai{v}|
      & $\Ai{v}$
      & Add subscript text $v$ before subscript index $i$
    \\
  \latexinline|\bi|
      & $\bi$
      & Typeset vector to platform anchor $b_{i}$
    \\
  \latexinline|\bi{v}|
      & $\bi{v}$
      & Add subscript text $v$ before subscript index $i$
    \\
  \latexinline|\Bi|
      & $\Bi$
      & Typeset point of frame anchor $B_{i}$
    \\
  \latexinline|\Bi{v}|
      & $\Bi{v}$
      & Add subscript text $v$ before subscript index $i$
    \\
  \latexinline|\ci|
      & $\ci$
      & Typeset vector to cable leave point $c_{i}$
    \\
  \latexinline|\ci{v}|
      & $\ci{v}$
      & Add subscript text $v$ before subscript index $i$
    \\
  \latexinline|\Ci|
      & $\Ci$
      & Typeset point of cable leave point $C_{i}$
    \\
  \latexinline|\Ci{v}|
      & $\Ci{v}$
      & Add subscript text $v$ before subscript index $i$
    \\
  \latexinline|\platanchor|
      & $\platanchor$
      & Typeset the platform anchor point vector $b$
    \\
  \latexinline|\platanchor[P]|
      & $\platanchor[P]$
      & Adds mathtool prescript superscript index $P$ to the point vector $b$
    \\
  \latexinline|\platanchor[P][Q]|
      & $\platanchor[P][Q]$
      & Adds mathtool prescript subscript index $P$ and superscript index $Q$ to the point vector $b$
    \\
  \latexinline|\frameanchor|
      & $\frameanchor$
      & Typeset the frame anchor point vector $a$
    \\
  \latexinline|\frameanchor[P]|
      & $\frameanchor[P]$
      & Adds mathtool prescript superscript index $P$ to the point vector $a$
    \\
  \latexinline|\frameanchor[P][Q]|
      & $\frameanchor[P][Q]$
      & Adds mathtool prescript subscript index $P$ and superscript index $Q$ to the point vector $a$
    \\
  \latexinline|\cabindex|
      & $\cabindex$
      & Typeset the conventional cable index $i$
    \\
  \latexinline|\lpathcoord|
      & $\lpathcoord$
      & Original path coordinate in the range $[0, L_0]$ i.e., before rescaling it to $\pathcoord$
    \\
  \latexinline|\domainlpathcoord|
      & $\domainlpathcoord$
      & Domain of the path coordinate $\lpathcoord$
    \\
  \latexinline|\strainedlpathcoord|
      & $\strainedlpathcoord$
      & Strained path coordinate in the range $[0, L_{\subunstrained} + \delcablen]$
    \\
  \latexinline|\domainstrainedlpathcoord|
      & $\domainstrainedlpathcoord$
      & Domain of the straiend path coordinate $\strainedlpathcoord$
    \\
  \latexinline|\symroller|
      & $\symroller$
      & Text symbol for "roller"
    \\
  \latexinline|\subroller|
      & $\subroller$
      & Index for "roller"
    \\
  \latexinline|\sympulley|
      & $\sympulley$
      & Text symbol for "roller"
    \\
  \latexinline|\subpulley|
      & $\subpulley$
      & Index for "roller"
    \\
  \latexinline|\symplatform|
      & $\symplatform$
      & Notation symbol of "mobile platform"
    \\
  \latexinline|\subworkspace|
      & $\subworkspace$
      & Index for "workspace"
    \\
  \latexinline|\symwinch|
      & $\symwinch$
      & Symbol for "winch"
    \\
  \latexinline|\subwinch|
      & $\subwinch$
      & Index for "winch"
    \\
  \latexinline|\symdrum|
      & $\symdrum$
      & Symbol for "drum"
    \\
  \latexinline|\subdrum|
      & $\subdrum$
      & Index for "drum"
    \\
  \latexinline|\symcable|
      & $\symcable$
      & Symbol for "cable"
    \\
  \latexinline|\subcable|
      & $\subcable$
      & Index for "cable"
    \\
  \latexinline|\symdirkin|
      & $\symdirkin$
      & Symbol for "direct kinematics"
    \\
  \latexinline|\subdirkin|
      & $\subdirkin$
      & Index for "direct kinematics"
    \\
  \latexinline|\syminvkin|
      & $\syminvkin$
      & Symbol for "inverse kinematics"
    \\
  \latexinline|\subinvkin|
      & $\subinvkin$
      & Index for "inverse kinematics"
    \\
  \latexinline|\symfordyn|
      & $\symfordyn$
      & Symbol for "forward dynamics"
    \\
  \latexinline|\subfordyn|
      & $\subfordyn$
      & Index for "forward dynamics"
    \\
  \latexinline|\syminvdyn|
      & $\syminvdyn$
      & Symbol for "inverse dynamics"
    \\
  \latexinline|\subinvdyn|
      & $\subinvdyn$
      & Index for "inverse dynamics"
    \\
  \latexinline|\symservo|
      & $\symservo$
      & Symbol for "servo motor"
    \\
  \latexinline|\subservo|
      & $\subservo$
      & Index for "servo motor"
    \\
  \latexinline|\symprocess|
      & $\symprocess$
      & Symbol for "operation process"
    \\
  \latexinline|\subprocess|
      & $\subprocess$
      & Index for "operation process"
    \\
  \latexinline|\symtranslational|
      & $\symtranslational$
      & Symbol for "translational"
    \\
  \latexinline|\subtranslational|
      & $\subtranslational$
      & Index for "translational"
    \\
  \latexinline|\symrotational|
      & $\symrotational$
      & Symbol for "rotational"
    \\
  \latexinline|\subrotational|
      & $\subrotational$
      & Index for "rotational"
    \\
  \latexinline|\symunstrained|
      & $\symunstrained$
      & Symbol for "unstrained"
    \\
  \latexinline|\subunstrained|
      & $\subunstrained$
      & Index for "unstrained"
    \\
  \latexinline|\symstrained|
      & $\symstrained$
      & Symbol for "strained"
    \\
  \latexinline|\substrained|
      & $\substrained$
      & Index for "strained"
    \\
  \latexinline|\symcenterofmass|
      & $\symcenterofmass$
      & Symbol for "center of mass"
    \\
  \latexinline|\subcenterofmass|
      & $\subcenterofmass$
      & Index for "center of mass"
    \\
  \latexinline|\platformMass|
      & $\platformMass$
      & Mass matrix with platform index
    \\
  \latexinline|\platformmass|
      & $\platformmass$
      & Scalar mass with platform index
    \\
  \latexinline|\symproximal|
      & $\symproximal$
      & Symbol for "proximal"
    \\
  \latexinline|\symdistal|
      & $\symdistal$
      & Index for "proximal"
    \\
  \latexinline|\symdistal|
      & $\symdistal$
      & Symbol for "distal"
    \\
  \latexinline|\subdistal|
      & $\subdistal$
      & Index for "distal"
    \\
  \latexinline|\symdist|
      & $\symdist$
      & Symbol for "distribution"
    \\
  \latexinline|\subdist|
      & $\subdist$
      & Index for "distribution"
    \\
  \latexinline|\mscaro|
      & $\mscaro$
      & Index for "cable robot" or "caro"
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/cdprs.tex| class}
\end{longtable}

\subsection*{electrical}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\voltage|
      & $\voltage$
      & Provides the physical symbol for a scalar voltage.
    \\
  \latexinline|\current|
      & $\current$
      & Provides the physical symbol for a scalar current
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/electrical.tex| class}
\end{longtable}

\subsection*{material-models}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\relaxationtime|
      & $\relaxationtime$
      & Relaxation time of a Kelvin or Maxwell material
    \\
  \latexinline|\symtotal|
      & $\symtotal$
      & Symbol for the totaling of a system
    \\
  \latexinline|\mstotal|
      & $\mstotal$
      & Mathematical subscript for the totaling of a system
    \\
  \latexinline|\symmaterial|
      & $\symmaterial$
      & Symbol for "material"
    \\
  \latexinline|\msmaterial|
      & $\msmaterial$
      & Subscript for symbol "material"
    \\
  \latexinline|\symmaxwell|
      & $\symmaxwell$
      & Symbol for Maxwell material model
    \\
  \latexinline|\msmaxwell|
      & $\msmaxwell$
      & Subscript index for Maxwell material model
    \\
  \latexinline|\symkelvinvoigt|
      & $\symkelvinvoigt$
      & Symbol for Kelvin--Voigt material model
    \\
  \latexinline|\mskelvinvoigt|
      & $\mskelvinvoigt$
      & Subscript index for Kelvin--Voigt material model
    \\
  \latexinline|\symzener|
      & $\symzener$
      & Symbol for Zener material model
    \\
  \latexinline|\mszener|
      & $\mszener$
      & Subscript index for Zener material model
    \\
  \latexinline|\symburger|
      & $\symburger$
      & Symbol for Burgers material model
    \\
  \latexinline|\msburger|
      & $\msburger$
      & Subscript index for Burgers material model
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/material-models.tex| class}
\end{longtable}

\subsection*{math}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\std|
      & $\std$
      & Standard deviation of variable $x$
    \\
  \latexinline|\std[y]|
      & $\std[y]$
      & Standard deviation of variable $y$
    \\
  \latexinline|\mean|
      & $\mean$
      & Mean value of variable $x$
    \\
  \latexinline|\mean[y]|
      & $\mean[y]$
      & Mean value of variable $y$
    \\
  \latexinline|\sem|
      & $\sem$
      & Standard error of the mean of variable $x$
    \\
  \latexinline|\sem[y]|
      & $\sem[y]$
      & Standard error of the mean of variable $y$
    \\
  \latexinline|\conjugate{x}|
      & $\conjugate{x}$
      & Conjugate of a variable
    \\
  \latexinline|\vertbar|
      & $\vertbar$
      & Vertical bar to denote column vectors inside a matrix
    \\
  \latexinline|\horzbar|
      & $\horzbar$
      & Horizontal bar to denote row vectors inside a matrix
    \\
  \latexinline|\pdet{x}|
      & $\pdet{x}$
      & Determinant of $x$ with parentheses around $x$
    \\
  \latexinline|\pdet[\bigg]{x}|
      & $\pdet[\bigg]{x}$
      & Determinant of $x$ with pairing parentheses' heights to \latexinline|\bigg|
    \\
  \latexinline|\pdet*{x}|
      & $\pdet*{x}$
      & Determinant of $x$ with automatically height-adjusted parentheses around $x$
    \\
  \latexinline|\ptrace{x}|
      & $\ptrace{x}$
      & Trace of $x$ with parentheses around $x$
    \\
  \latexinline|\ptrace[\bigg]{x}|
      & $\ptrace[\bigg]{x}$
      & Trace of $x$ with pairing parentheses' heights to \latexinline|\bigg|
    \\
  \latexinline|\ptrace*{x}|
      & $\ptrace*{x}$
      & Trace of $x$ with automatically height-adjusted parentheses around $x$
    \\
  \latexinline|\SO|
      & $\SO$
      & Special orientation group $\SO{3}$
    \\
  \latexinline|\SO[2]|
      & $\SO[2]$
      & Special orientation group $\SO{2}$ (whatever that may be....)
    \\
  \latexinline|\bigo|
      & $\bigo$
      & Bachmann–Landau notation or asymptotic notation.
    \\
  \latexinline|\ndot{4}{f}|
      & $\ndot{4}{f}$
      & Writes the $4$-th derivative of function $f$
    \\
  \latexinline|\tol|
      & $\tol$
      & Prints $\varepsilon$ for variable of tolerance that needs to be satisfied
    \\
  \latexinline|\tol[\delta]|
      & $\tol[\delta]$
      & Uses $\delta$ as variable of tolerance
    \\
  \latexinline|\stepsize|
      & $\stepsize$
      & Step size of any numerical integrator or differentiator
    \\
  \latexinline|\funcindex|
      & $\funcindex$
      & Index representing the $\funcindex$-th basis function
    \\
  \latexinline|\loopindex|
      & $\loopindex$
      & Index of loop or iteration
    \\
  \latexinline|\factorial{x}|
      & $\factorial{x}$
      & Write factorial function of $x$ \textIe $x!$
    \\
  \latexinline|\padj{x}|
      & $\padj{x}$
      & Adjugate of $x$ with parentheses around $x$
    \\
  \latexinline|\padj[\bigg]{x}|
      & $\padj[\bigg]{x}$
      & Adjugate of $x$ with pairing parentheses' heights to \latexinline|\bigg|
    \\
  \latexinline|\padj*{x}|
      & $\padj*{x}$
      & Adjugate of $x$ with automatically height-adjusted parentheses around $x$
    \\
  \latexinline|\invect{a & b & c}|
      & $\invect{a & b & c}$
      & Place an inline vector
    \\
  \latexinline|\pinv{M}|
      & $\pinv{M}$
      & Moore-Penrose pseudo inverse of matrix $\matr{M}$
    \\
  \latexinline|\quat|
      & $\quat$
      & Quaternion vector
    \\
  \latexinline|\quat*|
      & $\quat*$
      & Scalar quaternion
    \\
  \latexinline|\dotquat|
      & $\dotquat$
      & First-order time-derivative of quaternion vector
    \\
  \latexinline|\dotquat*|
      & $\dotquat*$
      & First-order time-derivative of scalar quaternion
    \\
  \latexinline|\ddotquat|
      & $\ddotquat$
      & Second-order time-derivative of quaternion vector
    \\
  \latexinline|\ddotquat*|
      & $\ddotquat*$
      & Second-order time-derivative of scalar quaternion
    \\
  \latexinline|\quatratemat|
      & $\quatratemat$
      & Quaternion rate matrix
    \\
  \latexinline|\coordsys{m}|
      & $\coordsys{m}$
      & Write caligraphic coordinate system / frame center denoted with m
    \\
  \latexinline|\transform{P}{0}|
      & $\transform{P}{0}$
      & Place transformation matrix $T$ from system P to 0
    \\
  \latexinline|\discretenabla|
      & $\discretenabla$
      & Discrete nabla operator \textIe discrete derivative of a function f
    \\
  \latexinline|\transpose{A}|
      & $\transpose{A}$
      & Transpose of argument $A$ e.g., matrix or vector transpose
    \\
  \latexinline|\transpose[\mkern-2.5mu]{x}|
      & $\transpose[\mkern-2.5mu]{x}$
      & Set the spacing of the superscript index for the transpose symbol manually. This may be useful in case the superscript is too close or too far away from its base
    \\
  \latexinline|\p{x}|
      & $\p{x}$
      & First partial derivative of $x$ with respect some other variable rather than time $t$
    \\
  \latexinline|\pp{x}|
      & $\pp{x}$
      & Second partial derivative of $x$ with respect some other variable rather than time $t$
    \\
  \latexinline|\ppp{x}|
      & $\ppp{x}$
      & Third partial derivative of $x$ with respect some other variable rather than time $t$
    \\
  \latexinline|\jacobiansymbol|
      & $\jacobiansymbol$
      & Provides the mathematical symbol used to define the Jacobian
    \\
  \latexinline|\jacobian{f}|
      & $\jacobian{f}$
      & Writes the Jacobian operator onto $f$
    \\
  \latexinline|\jacobian[x]{f}|
      & $\jacobian[x]{f}$
      & Writes the Jacobian operator with respect to $x$ onto $f$
    \\
  \latexinline|\jacobian*[x]{f}|
      & $\jacobian*[x]{f}$
      & Wrap the argument $f$ into auto-growing parentheses
    \\
  \latexinline|\dotjacobian|
      & $\dotjacobian$
      & Time-derivative of Jacobian matrix of $\vect{f}$
    \\
  \latexinline|\ddotjacobian|
      & $\ddotjacobian$
      & Second time-derivative of Jacobian matrix of $\vect{f}$
    \\
  \latexinline|\vectft{A}{B}|
      & $\vectft{A}{B}$
      & typeset vector $r$ from point A to point B
    \\
  \latexinline|\vectft[q]{A}{B}|
      & $\vectft[q]{A}{B}$
      & Use $q$ as vector variable rather than $r$
    \\
  \latexinline|\vectft[q]{A}{B}[\ms{avg}]|
      & $\vectft[q]{A}{B}[\ms{avg}]$
      & Add additional subscript (here $\ms{avg}$) to the given vector
    \\
  \latexinline|\eye|
      & $\eye$
      & Write identity matrix of undefined size
    \\
  \latexinline|\eye[3]|
      & $\eye[3]$
      & Identity matrix with index $3$ i.e., dimensions $\num{3} \times \num{3}$
    \\
  \latexinline|\zeros|
      & $\zeros$
      & Write "zero" matrix of undefined size
    \\
  \latexinline|\zeros[3]|
      & $\zeros[3]$
      & Zero matrix with index $3$ i.e., dimensions $\num{3} \times \num{3}$
    \\
  \latexinline|\ones|
      & $\ones$
      & Write "ones" matrix of undefined size
    \\
  \latexinline|\ones[3]|
      & $\ones[3]$
      & Ones matrix with index $3$ i.e., dimensions $\num{3} \times \num{3}$
    \\
  \latexinline|\evecx|
      & $\evecx$
      & Unit axis coordinate vector along the $x$-axis
    \\
  \latexinline|\evecx[\xi]|
      & $\evecx[\xi]$
      & Name the unit axis coordinate vector $\xi$ rather than $e$
    \\
  \latexinline|\evecx*|
      & $\evecx*$
      & Avoids adding a hat to the vector nam
    \\
  \latexinline|\evecy|
      & $\evecy$
      & Unit axis coordinate vector along the $y$-axis
    \\
  \latexinline|\evecy[\xi]|
      & $\evecy[\xi]$
      & Name the unit axis coordinate vector $\xi$ rather than $e$
    \\
  \latexinline|\evecy*|
      & $\evecy*$
      & Avoids adding a hat to the vector nam
    \\
  \latexinline|\evecz|
      & $\evecz$
      & Unit axis coordinate vector along the $z$-axis
    \\
  \latexinline|\evecz[\xi]|
      & $\evecz[\xi]$
      & Name the unit axis coordinate vector $\xi$ rather than $e$
    \\
  \latexinline|\evecz*|
      & $\evecz*$
      & Avoids adding a hat to the vector nam
    \\
  \latexinline|\kronecker|
      & $\kronecker$
      & Write the Kronecker delta function
    \\
  \latexinline|\kronecker[i][j]|
      & $\kronecker[i][j]$
      & Write the Kronecker delta function for the two indices ${}_{i}$ and ${}_{j}$
    \\
  \latexinline|\dirac|
      & $\dirac$
      & Dirac delta function
    \\
  \latexinline|\symcorrected|
      & $\symcorrected$
      & Symbol for corrected values
    \\
  \latexinline|\subcorrected|
      & $\subcorrected$
      & Subscript for corrected values
    \\
  \latexinline|\symuncorrected|
      & $\symuncorrected$
      & Symbol for uncorrected values
    \\
  \latexinline|\subuncorrected|
      & $\subuncorrected$
      & Subscript for uncorrected values
    \\
  \latexinline|\const|
      & $\const$
      & Mathematical string stating "constant"
    \\
  \latexinline|\subconst|
      & $\subconst$
      & Subscript index for a "const"ant variable/value
    \\
  \latexinline|\heaviside|
      & $\heaviside$
      & Gives the heaviside function denotation
    \\
  \latexinline|\heaviside{x}|
      & $\heaviside{x}$
      & Gives the heaviside function of $x$ \textIe for $x \equiv 0$.
    \\
  \latexinline|\polydeg|
      & $\polydeg$
      & Degree of a polynomial $p$ or polynomial function $f \of{x}$ \textIe its highest power. Some may also call this the degree.
    \\
  \latexinline|\ceil{x}|
      & $\ceil{x}$
      & Ceil its argument
    \\
  \latexinline|\floor{x}|
      & $\floor{x}$
      & Floor its argument
    \\
  \latexinline|\residual|
      & $\residual$
      & Vectorial formulation of an arbitrary residual
    \\
  \latexinline|\residual*|
      & $\residual*$
      & Scalar formulation of an arbitrary residual
    \\
  \latexinline|\threshold|
      & $\threshold$
      & Some threshold
    \\
  \latexinline|\itervar|
      & $\itervar$
      & Variable of an iteration loop
    \\
  \latexinline|\iterstep|
      & $\iterstep$
      & Variable of an iteration step
    \\
  \latexinline|\iterindex|
      & $\iterindex$
      & Iteration index variable
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/math.tex| class}
\end{longtable}

\subsection*{mechanics}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\dof|
      & $\dof$
      & Degrees of freedom symbol
    \\
  \latexinline|\frequency|
      & $\frequency$
      & Frequency of some wave
    \\
  \latexinline|\transmission|
      & $\transmission$
      & Symbol of transmission ratio
    \\
  \latexinline|\damping|
      & $\damping$
      & Damping factor
    \\
  \latexinline|\angularfrequency|
      & $\angularfrequency$
      & Angular frequency of some wave
    \\
  \latexinline|\naturalfrequency|
      & $\naturalfrequency$
      & Natural frequency of some wave
    \\
  \latexinline|\gravity|
      & $\gravity$
      & Gravitational constant g
    \\
  \latexinline|\gravity|
      & $\gravity$
      & Vector of gravitation
    \\
  \latexinline|\symgravity|
      & $\symgravity$
      & Symbol for gravitational forces/torques
    \\
  \latexinline|\subgravity|
      & $\subgravity$
      & Subscript index for gravitational forces/torques
    \\
  \latexinline|\radius|
      & $\radius$
      & Symbol for a radius
    \\
  \latexinline|\diameter|
      & $\diameter$
      & Symbol for a diameter
    \\
  \latexinline|\crosssection|
      & $\crosssection$
      & Cross sectional area
    \\
  \latexinline|\unitdensity|
      & $\unitdensity$
      & Unit density of an object $\si{\kilo\gram\per\meter\cubic}$
    \\
  \latexinline|\youngsmodulus|
      & $\youngsmodulus$
      & Young's Modulus
    \\
  \latexinline|\elasticity|
      & $\elasticity$
      & Vector of elasticity variable (like Young's modulus)
    \\
  \latexinline|\elasticity*|
      & $\elasticity*$
      & Scalar elasticity variable (like Young's modulus)
    \\
  \latexinline|\shearmodulus|
      & $\shearmodulus$
      & Shear modulus
    \\
  \latexinline|\poissonratio|
      & $\poissonratio$
      & Poisson's ratio
    \\
  \latexinline|\viscosity|
      & $\viscosity$
      & Scalar viscosity variable
    \\
  \latexinline|\viscousmodulus|
      & $\viscousmodulus$
      & Viscous modulus of a material
    \\
  \latexinline|\volume|
      & $\volume$
      & Variable of the volume, usually $V$
    \\
  \latexinline|\stiffness|
      & $\stiffness$
      & Stiffness matrix
    \\
  \latexinline|\stiffness*|
      & $\stiffness*$
      & Scalar stiffness value
    \\
  \latexinline|\stiffness[a]|
      & $\stiffness[a]$
      & Place pre-subscript $a$ on stiffness matrix
    \\
  \latexinline|\stiffness[u][d]|
      & $\stiffness[u][d]$
      & Place pre-superscript $u$ and pre-subscript $d$ on stiffness matrix
    \\
  \latexinline|\stiffnessy|
      & $\stiffnessy$
      & Extended stiffness matrix for the state vector Y = [Q, DQ]
    \\
  \latexinline|\stiffnessy*|
      & $\stiffnessy*$
      & Scalar extended stiffness value
    \\
  \latexinline|\stiffnessy[a]|
      & $\stiffnessy[a]$
      & Place pre-subscript $a$ on extended stiffness matrix
    \\
  \latexinline|\stiffnessy[u][d]|
      & $\stiffnessy[u][d]$
      & Place pre-superscript $u$ and pre-subscript $d$ on extended stiffness matrix
    \\
  \latexinline|\mass|
      & $\mass$
      & Scalar mass
    \\
  \latexinline|\Mass|
      & $\Mass$
      & Mass matrix
    \\
  \latexinline|\Massy|
      & $\Massy$
      & Extended mass matrix of the $\state = \transp{ \invect{ \transp{\genq}, & \transp{\dotgenq} } }$ state
    \\
  \latexinline|\symdynforces|
      & $\symdynforces$
      & Symbol for the forces of the dynamics of an ODE system
    \\
  \latexinline|\dynforces|
      & $\dynforces$
      & Forces of the dynamics of an ODE system \textIe its right-hand side
    \\
  \latexinline|\work|
      & $\work$
      & Work, like as in D'Alembert's Principle or the principle of virtual work
    \\
  \latexinline|\energy|
      & $\energy$
      & Arbitrary symbol for energy without closer specification of the types of energies of the system
    \\
  \latexinline|\energypotential|
      & $\energypotential$
      & Symbol for potential energy
    \\
  \latexinline|\energykinetic|
      & $\energykinetic$
      & Symbol for kinetic energy
    \\
  \latexinline|\energydissipative|
      & $\energydissipative$
      & Symbol for dissipative energy
    \\
  \latexinline|\msexternal|
      & $\msexternal$
      & Sub or super script ready text for "external"
    \\
  \latexinline|\msinternal|
      & $\msinternal$
      & Sub or super script ready text for "internal"
    \\
  \latexinline|\msdynamic|
      & $\msdynamic$
      & Sub or super script ready text for "dynamic"
    \\
  \latexinline|\virtual{x}|
      & $\virtual{x}$
      & Makes $x$ a virtual property that appear often in D'Alembert's principle
    \\
  \latexinline|\virtualwork|
      & $\virtualwork$
      & The virtual work of D'Alembert
    \\
  \latexinline|\virtualworkinternal|
      & $\virtualworkinternal$
      & The virtual work of D'Alembert of internal forces
    \\
  \latexinline|\virtualworkexternal|
      & $\virtualworkexternal$
      & The virtual work of D'Alembert of external forces
    \\
  \latexinline|\virtualworkdynamic|
      & $\virtualworkdynamic$
      & The virtual work of D'Alembert of dynamic forces
    \\
  \latexinline|\virtualdisplacement|
      & $\virtualdisplacement$
      & The virtual work in D'Alembert's principle
    \\
  \latexinline|\virtualdisplacement[q]|
      & $\virtualdisplacement[q]$
      & The virtual displacement in direction of $q$
    \\
  \latexinline|\genqsymb|
      & $\genqsymb$
      & Symbol for the generalized coordinates
    \\
  \latexinline|\genq|
      & $\genq$
      & Vector of generalized coordinates
    \\
  \latexinline|\genq*|
      & $\genq*$
      & Scalar generalized coordinates
    \\
  \latexinline|\dotgenq|
      & $\dotgenq$
      & First-order time derivative of vector of generalized coordinates
    \\
  \latexinline|\dotgenq*|
      & $\dotgenq*$
      & First-order time derivative of scalar generalized coordinates
    \\
  \latexinline|\ddotgenq|
      & $\ddotgenq$
      & Second-order time derivative of vector of generalized coordinates
    \\
  \latexinline|\ddotgenq*|
      & $\ddotgenq*$
      & Second-order time derivative of scalar generalized coordinates
    \\
  \latexinline|\ndotgenq{n}|
      & $\ndotgenq{n}$
      & Nth-order time derivative of vector of generalized coordinates
    \\
  \latexinline|\ndotgenq*{n}|
      & $\ndotgenq*{n}$
      & Nth-order time derivative of scalar generalized coordinates
    \\
  \latexinline|\genqlin|
      & $\genqlin$
      & Vector of linearized generalized coordinates
    \\
  \latexinline|\genqlin*|
      & $\genqlin*$
      & Scalar linearized generalized coordinates
    \\
  \latexinline|\dotgenqlin|
      & $\dotgenqlin$
      & Vector of linearized generalized velocities
    \\
  \latexinline|\dotgenqlin*|
      & $\dotgenqlin*$
      & Scalar linearized generalized velocities
    \\
  \latexinline|\ddotgenqlin|
      & $\ddotgenqlin$
      & Vector of linearized generalized accelerations
    \\
  \latexinline|\ddotgenqlin*|
      & $\ddotgenqlin*$
      & Scalar linearized generalized accelerations
    \\
  \latexinline|\virtualgenq|
      & $\virtualgenq$
      & Vector of virtual displacement of generalized coordinates
    \\
  \latexinline|\virtualgenq*|
      & $\virtualgenq*$
      & Scalar virtual displacement of generalized coordinates
    \\
  \latexinline|\virtualdotgenq|
      & $\virtualdotgenq$
      & Vector of virtual displacement of first-order time derivative of generalized coordinates
    \\
  \latexinline|\virtualdotgenq*|
      & $\virtualdotgenq*$
      & Scalar virtual displacement of first-order time derivative of generalized coordinates
    \\
  \latexinline|\virtualddotgenq|
      & $\virtualddotgenq$
      & Vector of virtual displacement of first-order time derivative of generalized coordinates
    \\
  \latexinline|\virtualddotgenq*|
      & $\virtualddotgenq*$
      & Scalar virtual displacement of first-order time derivative of generalized coordinates
    \\
  \latexinline|\genvsymb|
      & $\genvsymb$
      & Symbol for the generalized velocities
    \\
  \latexinline|\genv|
      & $\genv$
      & Vector of generalized velocities
    \\
  \latexinline|\genv*|
      & $\genv*$
      & Scalar generalized velocities
    \\
  \latexinline|\dotgenv|
      & $\dotgenv$
      & First-order time derivative of vector of generalized velocities
    \\
  \latexinline|\dotgenv*|
      & $\dotgenv*$
      & First-order time derivative of scalar generalized velocities
    \\
  \latexinline|\ddotgenv|
      & $\ddotgenv$
      & Second-order time derivative of vector of generalized v
    \\
  \latexinline|\ddotgenv*|
      & $\ddotgenv*$
      & Second-order time derivative of scalar generalized velocities
    \\
  \latexinline|\statesym|
      & $\statesym$
      & Arbitrary variable describing a state of an object
    \\
  \latexinline|\state|
      & $\state$
      & Vector of arbitrary system state
    \\
  \latexinline|\state[\ms{P}]|
      & $\state[\ms{P}]$
      & Sets the state vector as tensor with left-hand superscript index $\ms{P}$
    \\
  \latexinline|\state[\ms{P}][\ms{Q}]|
      & $\state[\ms{P}][\ms{Q}]$
      & Sets the state vector as tensor with left-hand subscript index $\ms{P}$ and superscript index $\ms{Q}$
    \\
  \latexinline|\dotstate|
      & $\dotstate$
      & First-order time derivative of arbitrary system state
    \\
  \latexinline|\dotstate[\ms{P}]|
      & $\dotstate[\ms{P}]$
      & Sets the state vector as tensor with left-hand superscript index $\ms{P}$
    \\
  \latexinline|\dotstate[\ms{P}][\ms{Q}]|
      & $\dotstate[\ms{P}][\ms{Q}]$
      & Sets the state vector as tensor with left-hand subscript index $\ms{P}$ and superscript index $\ms{Q}$
    \\
  \latexinline|\dotstate|
      & $\dotstate$
      & First-order time derivative of arbitrary system state
    \\
  \latexinline|\dotstate[\ms{P}]|
      & $\dotstate[\ms{P}]$
      & Sets the state vector as tensor with left-hand superscript index $\ms{P}$
    \\
  \latexinline|\dotstate[\ms{P}][\ms{Q}]|
      & $\dotstate[\ms{P}][\ms{Q}]$
      & Sets the state vector as tensor with left-hand subscript index $\ms{P}$ and superscript index $\ms{Q}$
    \\
  \latexinline|\auxstatesym|
      & $\auxstatesym$
      & Arbitrary variable describing an auxiliary state of an object
    \\
  \latexinline|\state|
      & $\state$
      & Vector of arbitrary system state
    \\
  \latexinline|\state[\ms{P}]|
      & $\state[\ms{P}]$
      & Sets the state vector as tensor with left-hand superscript index $\ms{P}$
    \\
  \latexinline|\state[\ms{P}][\ms{Q}]|
      & $\state[\ms{P}][\ms{Q}]$
      & Sets the state vector as tensor with left-hand subscript index $\ms{P}$ and superscript index $\ms{Q}$
    \\
  \latexinline|\dotstate|
      & $\dotstate$
      & First-order time derivative of arbitrary system state
    \\
  \latexinline|\dotstate[\ms{P}]|
      & $\dotstate[\ms{P}]$
      & Sets the state vector as tensor with left-hand superscript index $\ms{P}$
    \\
  \latexinline|\dotstate[\ms{P}][\ms{Q}]|
      & $\dotstate[\ms{P}][\ms{Q}]$
      & Sets the state vector as tensor with left-hand subscript index $\ms{P}$ and superscript index $\ms{Q}$
    \\
  \latexinline|\inertia|
      & $\inertia$
      & Scalar inertia
    \\
  \latexinline|\inertiatensor|
      & $\inertiatensor$
      & Inertia tensor
    \\
  \latexinline|\secondmomentofarea|
      & $\secondmomentofarea$
      & Second moment of area
    \\
  \latexinline|\fictitiousforces|
      & $\fictitiousforces$
      & Fictitious forces i.e., pseudo forces like rectilinear acceleration, centrifugal and Coriolis forces
    \\
  \latexinline|\fictitiousforcesy|
      & $\fictitiousforcesy$
      & Fictitious forces i.e., pseudo forces like rectilinear acceleration, centrifugal and Coriolis forces for the state vector $\state$
    \\
  \latexinline|\numconstraints|
      & $\numconstraints$
      & Number of constraints of a constrained mechanical systems
    \\
  \latexinline|\symconstraints|
      & $\symconstraints$
      & The symbol for constraints of a mechanical system
    \\
  \latexinline|\posconstraints|
      & $\posconstraints$
      & Constraints vector defining a set of $k$ constraints on position or velocity level
    \\
  \latexinline|\dotconstraintsvector|
      & $\dotconstraintsvector$
      & First-order time derivative of the constraints vector
    \\
  \latexinline|\ddotconstraintsvector|
      & $\ddotconstraintsvector$
      & Second-order time derivative of the constraints vector
    \\
  \latexinline|\jacposconstraints|
      & $\jacposconstraints$
      & Jacobian of the constraints vector $\jacposconstraints = \pd{\posconstraints}{\genq}$
    \\
  \latexinline|\jacdotconstraintsvector|
      & $\jacdotconstraintsvector$
      & jacobian of the time derivative of the constraints vector
    \\
  \latexinline|\subworld|
      & $\subworld$
      & Subscript for the world frame
    \\
  \latexinline|\subsystem|
      & $\subsystem$
      & Subscript for "system"
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/mechanics.tex| class}
\end{longtable}

\subsection*{quadrature}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\nquadraturepoints|
      & $\nquadraturepoints$
      & Number of quadrature points
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/quadrature.tex| class}
\end{longtable}

\subsection*{spatial-dynamics}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\Curve|
      & $\Curve$
      & Curve of reference of our cable (the global thing before discretization)
    \\
  \latexinline|\curve|
      & $\curve$
      & Curve of the actual cable configuration (the global thing before discretization)
    \\
  \latexinline|\dotcurve|
      & $\dotcurve$
      & First time-derivative of curve of the actual cable configuration (the global thing before discretization)
    \\
  \latexinline|\ddotcurve|
      & $\ddotcurve$
      & Second titme-derivative of curve of the actual cable configuration (the global thing before discretization)
    \\
  \latexinline|\inlambda{x}|
      & $\inlambda{x}$
      & Denote the variable given to be given as function of arc length parametrization $\lpathcoord \in \interval{0}{\cablen}$
    \\
  \latexinline|\inxi{x}|
      & $\inxi{x}$
      & Denote the variable given to be given as function of normalized path coordinate $\pathcoord \in \interval{0}{1}$
    \\
  \latexinline|\TNBFrame|
      & \TNBFrame
      & Just a short-hand for $\textbf{TNB}-frame$
    \\
  \latexinline|\TNB|
      & $\TNB$
      & Matrix of the Frenet-Serret \TNBFrame.
    \\
  \latexinline|\subtangent|
      & $\subtangent$
      & Subscript index of tangent vector
    \\
  \latexinline|\tangent|
      & $\tangent$
      & Tangent vector of Frenet-Serret frame
    \\
  \latexinline|\subnormal|
      & $\subnormal$
      & Subscript index of normal vector
    \\
  \latexinline|\normal|
      & $\normal$
      & Normal vector of Frenet-Serret frame
    \\
  \latexinline|\subbinormal|
      & $\subbinormal$
      & Subscript index of binormal vector
    \\
  \latexinline|\binormal|
      & $\binormal$
      & Binormal vector of Frenet-Serret frame
    \\
  \latexinline|\curvature|
      & $\curvature$
      & Curvature of a curve as defined in the TNB frame
    \\
  \latexinline|\torsion|
      & $\torsion$
      & Torsion of a curve as defined in the TNB frame
    \\
  \latexinline|\strainmeasure|
      & $\strainmeasure$
      & 3D strain measures of cable
    \\
  \latexinline|\bendingmeasure|
      & $\bendingmeasure$
      & 3D bendings measures of cable
    \\
  \latexinline|\cablebody|
      & $\cablebody$
      & Cable body domain of the deformed cable
    \\
  \latexinline|\Cablebody|
      & $\Cablebody$
      & Cable body domain of the undeformed cable
    \\
  \latexinline|\darboux|
      & $\darboux$
      & Darboux vector of the TNB frame
    \\
  \latexinline|\curvelength|
      & $\curvelength$
      & Length of the deformed cable curve.
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/spatial-dynamics.tex| class}
\end{longtable}

\subsection*{text}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\textSic|
      & \textSic
      & Write latin "sic"
    \\
  \latexinline|\textIa: Write latin "i.a.", example|
      & \textIa: Write latin "i.a.", example
      & ``Ernest Hemingway---author (i.a.\@ 'The Sun Also Rises') and friend.''
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/text.tex| class}
\end{longtable}

\subsection*{wave-equation}

\begin{longtable}{ p{0.29\linewidth} p{0.19\linewidth} p{0.48\linewidth} } \toprule
  \textbf{Code}
      & \textbf{Result}
      & \textbf{Description}
    \\ \midrule
    \endhead
    \midrule \multicolumn{3}{r}{\smaller{Continued on next page}} \\ \bottomrule
    \endfoot
    \endlastfoot
  \latexinline|\wavepertubation|
      & $\wavepertubation$
      & Pertubation function the wave equation
    \\
  \latexinline|\wavepertubationlocal|
      & $\wavepertubationlocal$
      & Local pertubation function the wave equation
    \\
  \latexinline|\wavespeed|
      & $\wavespeed$
      & Speed of a wave traveling in a material
    \\
  \latexinline|\waveangle|
      & $\waveangle$
      & Angle of the wave with $\evec{x}$-axis
    \\
  \latexinline|\waveboundaryfunc|
      & $\waveboundaryfunc$
      & Function describing the string's boundary functions
    \\
  \latexinline|\waveinitialfunc|
      & $\waveinitialfunc$
      & Function describing the inital wave shape
    \\
  \bottomrule
  \caption{List of macros of the \textinline|config/commands/wave-equation.tex| class}
\end{longtable}

